#include <Wt/WApplication.h>
#include <Wt/WContainerWidget.h>
#include <Wt/WFileUpload.h>
#include <Wt/WImage.h>
#include <Wt/WLink.h>
#include <Wt/WServer.h>

#include <memory>

int main(int argc, char **argv)
{
  return Wt::WRun(argc, argv, [](const Wt::WEnvironment &env) {
    auto app = std::make_unique<Wt::WApplication>(env);

    auto c = app->root()->addNew<Wt::WContainerWidget>();
    c->setStyleClass("image-input-wrapper");
    Wt::WImage *img = c->addWidget(std::make_unique<Wt::WImage>(Wt::WLink(Wt::LinkType::Url, "/my_img.png")));
    img->setStyleClass("rounded-circle");
    img->setWidth(Wt::WLength(100, Wt::LengthUnit::Pixel));
    img->setHeight(Wt::WLength(100, Wt::LengthUnit::Pixel));
    Wt::WFileUpload *fu = c->addWidget(std::make_unique<Wt::WFileUpload>());
    fu->setDisplayWidget(img);
    return app;
  });
}
